summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2018-02-10 12:23:46 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2018-02-10 12:23:46 +0100
commit1684b2862611d94daee99a22efbaf965e063b9bb (patch)
tree5b9016490f970adb3220a0ae43a07bce9428936c
parentmedia-libs/coin: changed EHG_PROJECT to Coin3D (diff)
downloadfordfrog-1684b2862611d94daee99a22efbaf965e063b9bb.tar.gz
fordfrog-1684b2862611d94daee99a22efbaf965e063b9bb.tar.bz2
fordfrog-1684b2862611d94daee99a22efbaf965e063b9bb.zip
media-libs/SoQt: added live ebuild using cmake build system
-rw-r--r--media-libs/SoQt/Manifest3
-rw-r--r--media-libs/SoQt/SoQt-9999.ebuild71
-rw-r--r--media-libs/SoQt/files/SoQt-1.5.0-pkgconfig-partial.patch13
-rw-r--r--media-libs/SoQt/metadata.xml11
4 files changed, 98 insertions, 0 deletions
diff --git a/media-libs/SoQt/Manifest b/media-libs/SoQt/Manifest
new file mode 100644
index 000000000..247e90e1c
--- /dev/null
+++ b/media-libs/SoQt/Manifest
@@ -0,0 +1,3 @@
+AUX SoQt-1.5.0-pkgconfig-partial.patch 454 BLAKE2B 902850d61d5366393d4199dad4436ed5715361e5918d68251f45b279abac6d15bd8780378c6d4daefe5314fe9dfd9276e8af24b3ffb80956a380d10da408b342 SHA512 a1ca69c0db287bbed67e928ca485f636983d4324cac525ee3d6b99395a6dd1f5d32c02315607f9d5dcd3449340cec427b67515060b320bd6bcc69ab975ed429a
+EBUILD SoQt-9999.ebuild 1599 BLAKE2B d0d3e503aa107e749fc8a732798b62915e7e570f9be8ae3581d84c39b16f6d8b40854b723671de6d59c49bbc4895107649553b75ce6c06682c1887cb95871ffd SHA512 3b114a877f0e12f0563a8ac48b83ac65b214a60dcb632ec6c2df0beb87022c6bc50779f946ba161122beb71d4f9d2f0041e81d43a164f6aad65b860f014b6b29
+MISC metadata.xml 337 BLAKE2B e8aee8bde9bdeb47fe91c700f9f2b583c71dedfa8139b20b2d51e72bfeb58f678b812625c807e3c648cfe84035fd04f97f7d1e7f1d24ad7b43142d1a0372e4e2 SHA512 46c14d503b818198fee86942a61e2f08987e6767f697ce142dc17ff32d193a97ae4460856114981268864de79fb725cc2743bff482b90e36afa297323e468993
diff --git a/media-libs/SoQt/SoQt-9999.ebuild b/media-libs/SoQt/SoQt-9999.ebuild
new file mode 100644
index 000000000..ad91169aa
--- /dev/null
+++ b/media-libs/SoQt/SoQt-9999.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils mercurial
+
+DESCRIPTION="The glue between Coin3D and Qt"
+HOMEPAGE="https://bitbucket.org/Coin3D/soqt"
+
+SOQT_REPO_URI="https://bitbucket.org/Coin3D/soqt"
+GENERALMSVCGENERATION_REPO_URI="https://bitbucket.org/Coin3D/generalmsvcgeneration"
+BOOSTHEADERLIBSFULL_REPO_URI="https://bitbucket.org/Coin3D/boost-header-libs-full"
+SOANYDATA_REPO_URI="https://bitbucket.org/Coin3D/soanydata"
+SOGUI_REPO_URI="https://bitbucket.org/Coin3D/sogui"
+
+EHG_PROJECT="Coin3D"
+
+LICENSE="|| ( GPL-2 PEL )"
+KEYWORDS=""
+SLOT="0"
+IUSE="+coin-iv-extensions"
+
+RDEPEND="
+ >=media-libs/coin-3.1.3
+ virtual/opengl
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5
+ dev-qt/qtwidgets:5
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.5.0-pkgconfig-partial.patch"
+)
+
+DOCS=(AUTHORS ChangeLog FAQ HACKING NEWS README)
+
+src_unpack() {
+ EHG_REPO_URI=${GENERALMSVCGENERATION_REPO_URI}
+ EHG_CHECKOUT_DIR="${WORKDIR}/generalmsvcgeneration"
+ mercurial_fetch
+
+ EHG_REPO_URI=${BOOSTHEADERLIBSFULL_REPO_URI}
+ EHG_CHECKOUT_DIR="${WORKDIR}/boost-header-libs-full"
+ mercurial_fetch
+
+ EHG_REPO_URI=${SOANYDATA_REPO_URI}
+ EHG_CHECKOUT_DIR="${WORKDIR}/soanydata"
+ mercurial_fetch
+
+ EHG_REPO_URI=${SOGUI_REPO_URI}
+ EHG_CHECKOUT_DIR="${WORKDIR}/sogui"
+ mercurial_fetch
+
+ EHG_REPO_URI=${SOQT_REPO_URI}
+ EHG_CHECKOUT_DIR="${S}"
+ mercurial_fetch
+}
+
+src_configure() {
+ local myconfargs=(
+ -DUSE_QT5=ON
+ -DCOIN_IV_EXTENSIONS=$(usex coin-iv-extensions ON OFF)
+ )
+
+ cmake-utils_src_configure
+}
diff --git a/media-libs/SoQt/files/SoQt-1.5.0-pkgconfig-partial.patch b/media-libs/SoQt/files/SoQt-1.5.0-pkgconfig-partial.patch
new file mode 100644
index 000000000..ff55a03ae
--- /dev/null
+++ b/media-libs/SoQt/files/SoQt-1.5.0-pkgconfig-partial.patch
@@ -0,0 +1,13 @@
+diff -ruN SoQt-1.5.0/SoQt.pc.in my/SoQt.pc.in
+--- SoQt-1.5.0/SoQt.pc.in 2010-03-02 23:57:41.000000000 +0100
++++ my/SoQt.pc.in 2013-05-28 01:14:13.083619183 +0200
+@@ -10,7 +10,8 @@
+ Version: @SOQT_VERSION@
+ Requires: Coin
+ Conflicts:
+-Libs: -L${libdir} @SOGUI_EXTRA_LDFLAGS@ @SOGUI_EXTRA_LIBS@
++Libs: -L${libdir} -lSoQt
++Libs.private: -L${libdir} @SOGUI_EXTRA_LIBS@
+ Cflags: -I${includedir} @SOGUI_EXTRA_CFLAGS@ @SOGUI_EXTRA_CPPFLAGS@
+
+ soqt_host=@host@
diff --git a/media-libs/SoQt/metadata.xml b/media-libs/SoQt/metadata.xml
new file mode 100644
index 000000000..6a4cbf475
--- /dev/null
+++ b/media-libs/SoQt/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>fordfrog@gentoo.org</email>
+ <name>Miroslav Šulc</name>
+</maintainer>
+<use>
+ <flag name="coin-iv-extensions">Enables extra open inventor extensions</flag>
+</use>
+</pkgmetadata>